> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-the-nexthink-browser-extension/deploying-the-nexthink-browser-extension-on-firefox-via-json.md).

# FirefoxにおけるNexthinkブラウザ拡張機能のJSONによる展開

このページでは、管理されたWindowsおよびmacOSデバイスにおいて、`policies.json`構成ファイルを使用してFirefox拡張機能を強制的にインストールする方法を説明します。 [Firefoxエンタープライズポリシー](https://support.mozilla.org/ja/kb/customizing-firefox-using-policiesjson)は、管理者が拡張機能のデプロイ、設定の強制、および様々な環境でのブラウザー体験の一貫性を管理することを可能にします。

この方法はクロスプラットフォームですが、ファイルパスおよびデプロイ手順は各オペレーティングシステムでわずかに異なります。

***

## 前提条件 <a href="#prerequisites" id="prerequisites"></a>

展開の前に以下を確認してください。

* Firefoxの拡張機能を`.xpi`ファイルとしてパッケージ化したもの。
* すべてのターゲットマシンが拡張機能にアクセス可能な信頼できる場所：
  * ローカルファイルシステムパス87900
  * ネットワーク共有(UNCパス)
  * HTTPSでホストされたダウンロードURL
* 環境に応じた正しい拡張 ID:
  * Prod: `{393c57f8-28d9-11eb-8f58-3b6871335926}`
  * ベータ: `{1a5fb18a-1b9b-11ec-a3c7-138a3aa5faee}`

***

## `policies.json`ファイルの作成 <a href="#creating-the-policies.json-file" id="creating-the-policies.json-file"></a>

`policies.json`ファイルには、拡張機能のインストールとオプションの同意動作のための設定エントリーを含める必要があります。

以下は、macOSおよびWindowsオペレーティングシステムのためのサンプルポリシーファイルです。 環境に合わせてファイルパスを必要に応じて更新してください。

`appex-firefox-consent`フラグを`true`に設定すると、ユーザーの同意を上書きし、EULA（エンドユーザーライセンス契約）の拡張機能の強制承認が可能になります。 ユーザーに明示的に同意を求めたい場合は、`false`に設定してください。

***

### `policies.json`の設定例 <a href="#configuration-examples-for-policies.json" id="configuration-examples-for-policies.json"></a>

#### **Windowsの例**

```json
{
  "policies": {
    "3rdparty": {
      "Extensions": {
        "<extension-id>": {
          "appex-firefox-consent": false
        }
      }
    },
    "ExtensionSettings": {
      "<extension_id>": {
        "force_install": true,
        "install_url": "<extension_url>"
      }
    }
  }
}
```

#### **macOSの例**

```json
{
  "ポリシー": {
    "3rdparty": {
      "拡張機能": {
        "<extension-id>": {
          "appex-firefox-consent": false
        }
      }
    },
    "拡張機能設定": {
      "<extension_id>": {
        "強制インストール": true,
        "インストールURL": "<extension_url>"
      }
    }
  }
}
```

`policies.json`を設定する際には、以下の点を留意してください:

* ファイルURLは、Windowsでもフォワードスラッシュと完全パスを使用してください。
* 圧縮された`.xpi.zip`ファイルを使用しないでください; Firefoxは直接の`.xpi`ファイルを期待します。
* HTTPSホストされたインストールURLをサポートしています（例: `"install_url": "https://internal.example.com/extensions/my_extension.xpi"`）。

***

## `policies.json`ファイルの展開 <a href="#deploying-the-policies.json-file" id="deploying-the-policies.json-file"></a>

### Windows <a href="#windows" id="windows"></a>

1. Firefoxのインストールフォルダーを見つける:
   * 標準インストール:

     ```
     C:\Program Files\Mozilla Firefox\
     ```
   * 64ビットシステムの32ビットまたは代替インストール:

     ```
     C:\Program Files (x86)\Mozilla Firefox\
     ```
2. `distribution`フォルダーを作成する:

   ```cmd
   mkdir "C:\Program Files\Mozilla Firefox\distribution"
   ```
3. `policies.json`ファイルをフォルダーにコピーする (管理者として実行):

   ```cmd
   copy policies.json "C:\Program Files\Mozilla Firefox\distribution\"
   ```
4. Firefoxを再起動してください。 指定された拡張機能は自動的にインストールされます。

### macOS

1. Firefoxのアプリケーションフォルダーを見つける:

   ```
   /Applications/Firefox.app
   ```
2. `distribution`ディレクトリが存在しない場合は作成する:

   ```bash
   sudo mkdir -p /Applications/Firefox.app/Contents/Resources/distribution/
   ```
3. `policies.json`ファイルをディレクトリにコピーする:

   ```bash
   sudo cp policies.json /Applications/Firefox.app/Contents/Resources/distribution/
   ```

コマンドが失敗した場合は手動でコピーする必要がある場合があります。

4. Firefoxを再起動してください。 拡張機能は自動的にインストールされ、ブラウザーでロックされて表示されます。

***

## 拡張機能の `.plist` ファイルによるデプロイ

`policies.json` ファイルの代わりに、 `.xml` 形式の `.plist` ファイルで Nexthink ブラウザ拡張機能をデプロイできます。 ブラウザに応じて、ファイルパスが異なる可能性があることに注意してください。

#### ファイル例

```xml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
  <dict>
    <key>EnterprisePoliciesEnabled</key>
    <true/>
    <key>Certificates</key>
    <dict>
      <key>ImportEnterpriseRoots</key>
      <true/>
    </dict>
    <key>ExtensionSettings</key>
    <dict>
      <key>{extension-id}</key>
      <dict>
        <key>installation_mode</key>
        <string>force_installed</string>
        <key>install_url</key>
        <string>https://ffextension.nexthink.com/nexthink-latest-an-fx-beta.xpi</string>
      </dict>
    </dict>
    <key>3rdparty</key>
    <dict>
      <key>Extensions</key>
      <dict>
        <key>{extension-id}</key>
        <dict>
          <key>appex-firefox-consent</key>
          <true/>
        </dict>
      </dict>
    </dict>
  </dict>
</plist>
```

***

## トラブルシューティング

このプロセス中に問題が発生した場合、以下の操作が問題解決に役立つことがあります:

* すべてのファイルパスを再確認してください。 ログインしているユーザーがアクセスできるものである必要があります。
* 拡張機能が有効な`.xpi`ファイルであることを確認してください。 圧縮バージョンでは正しくインストールされない可能性があります。
* 正しい拡張機能IDを使用しているか確認してください。 （[#requirements](https://docs.nexthink.com/platform/ja/deploying-the-nexthink-browser-extension-on-firefox-via-json.md#prerequisites) を参照）
* エラーを診断するには、Firefoxで次のページを開いてください:

  ```
  about:policies
  ```
* 共有の展開にはUNCパス（例: `file://サーバー/share/extension.xpi`）またはWebホストされたURLを使用してください。
* `policies.json` または `.plist` ファイルおよび拡張機能ファイルが Firefox で読み取れることを確認してください。

***

関連トピック

* [Nexthinkブラウザー拡張機能のインストール](https://docs.nexthink.com/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-the-nexthink-browser-extension)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nexthink.com/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-the-nexthink-browser-extension/deploying-the-nexthink-browser-extension-on-firefox-via-json.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
